org.apache.fop.render.afp.extensions

## Class AFPAttribute

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.StringProperty.Maker
    - - org.apache.fop.render.afp.extensions.AFPAttribute

All Implemented Interfaces:
  Cloneable

    public class AFPAttribute
    extends StringProperty.Maker

This class extends the org.apache.fop.fo.StringProperty.Maker inner class in order to provide a static property maker. The object facilitates extraction of attributes from formatted objects based on the static list as defined in the AFPElementMapping implementation.

### Property Summary

### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

`makeNewProperty`

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

### Constructor Summary

Constructors
`protected` `AFPAttribute(String name)` Constructor for the AFPAttribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `make(PropertyList propertyList)` Overide the make method to return the property object

### Methods inherited from class org.apache.fop.fo.properties.StringProperty.Maker

`make`

### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPAttribute

    protected AFPAttribute(String name)

Constructor for the AFPAttribute.

Parameters:
  `name` - The attribute name

### Method Detail

#### make

    public Property make(PropertyList propertyList)

Overide the make method to return the property object

Overrides:
  `make` in class `PropertyMaker`
Parameters:
  `propertyList` - the property list from which to make the property
Returns:
  property The property object.